using System.Web;
using System.Web.Optimization;

namespace Qusion.WebApp
{
    public class BundleConfig
    {
        // todo: Move qusion specific bundles to qusion area
        // For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkId=254725
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new Bundle("~/bundles/vendor/js", new JsMinify())
                            .IncludeDirectory("~/areas/qusion/scripts/vendor", "*.js", true));

            bundles.Add(new Bundle("~/bundles/core/js", new JsMinify())
                            .IncludeDirectory("~/areas/qusion/scripts/core", "*.js", true));

            bundles.Add(new Bundle("~/bundles/app/js", new JsMinify())
                            .IncludeDirectory("~/areas/qusion/scripts/app", "*.js", true));

            bundles.Add(new Bundle("~/bundles/cms/app/js", new JsMinify())
                            .IncludeDirectory("~/areas/cms/scripts/app", "*.js", true));

           bundles.Add(new Bundle("~/bundles/cms/vendor/js", new JsMinify())
                         .IncludeDirectory("~/areas/cms/scripts/vendor", "*.js", true));

            bundles.Add(new Bundle("~/bundles/cms/core/js", new JsMinify())
                            .IncludeDirectory("~/areas/cms/scripts/core", "*.js", true));


            bundles.Add(new Bundle("~/bundles/en/js", new JsMinify())
                           .IncludeDirectory("~/areas/cms/scripts/en", "*.js", true));

            bundles.Add(new Bundle("~/qusion/bundles/page")
                            .IncludeDirectory("~/areas/qusion/scripts/vendor/angular", "*.js", true)
                            .IncludeDirectory("~/areas/qusion/scripts/vendor/qusion/widgets", "*.js", true)
                            .IncludeDirectory("~/areas/qusion/scripts/modules/layout", "*.js", true));
        }
    }
}